> For the complete documentation index, see [llms.txt](https://docs.hackle.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hackle.io/en/ab-test/url-test.md).

# URL Test

### What is a URL Test?

A URL Test is a feature for testing multiple variations with the purpose of hypothesis validation, just like an A/B Test.\
You can input URLs corresponding to the control group and treatment groups to see how each variation affects your metrics.

![](https://143363954-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FyAVlNQhS253reum0Ce94%2Fuploads%2Fgit-blob-92552083085c47a5ffd52a2b2797925778e99a24%2F1df1030-Split-URL-img_71b7c68ba60abbcc.png?alt=media)

###

### Who should use this?

* Those who frequently change landing page structure and content and want to optimize quickly
* Those who find it difficult to run A/B Tests as often as desired due to limited development support
* Those who were looking for an A/B Test solution to replace Google Optimize after its discontinuation

👉 [View URL Test success stories](https://blog.hackle.io/post/url-test-success-case1?utm_source=guide)

### How does a URL Test work?

Suppose there is an original version (Group A) and modified versions (Group B, C, D...) to be tested.

When users enter Group A, they are randomly redirected to Group A, B, C, D... and each URL is exposed with a 1/N probability.

* Group A: \[ [www.example.com/product/10](http://www.example.com/product/10)] - 25% distribution
* Group B: \[ [www.example.com/product/11](http://www.example.com/product/11)] - 25% distribution
* Group C: \[ [www.example.com/product/12](http://www.example.com/product/12)] - 25% distribution
* Group D: \[ [www.example.com/product/13](http://www.example.com/product/13)] - 25% distribution


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hackle.io/en/ab-test/url-test.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
